#include<bits/stdc++.h>
using namespace std;

long long L,R,br;
float p,r,q,xp,xq,xr;

int main(){

cin>>p>>q>>r>>L>>R;

br=0;

for(long long i=L;i<=R;i++){

xp=ceil(i/p);
xq=ceil(i/q);
xr=ceil(i/r);

if((xp+xq+xr)<=i)br++;

}
cout<<br<<endl;
return 0;
}